// Source: https://gitlab.com/pleio/frontend/-/blob/dev/src/js/components/Select/Select.jsx
// Note: see https://gitlab.com/pleio/frontend/-/blob/dev/src/js/theme/themeConstants.js for constants

.Select__Wrapper {
  margin-top: 8px;
  // margin-bottom: 8px;
  margin-bottom: 16px;
}

.SelectLabel {
  display: flex;
  align-items: center;
  padding: 0 2px;
  position: absolute;
  top: -9px;
  left: 15px;
  max-width: calc(100% - 10px);
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 0.75rem;
  line-height: 18px;
  color: rgba(0, 0, 0, 0.55);
  z-index: 1;

  /* White background behind the label */
  &:before {
    content: '';
    position: absolute;
    top: 9px;
    left: 0;
    right: 0;
    height: 2px;
    background-color: white;
    z-index: -1;
  }
}

.SelectContainer {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;

  &:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    border: 1px solid #949494;
    border-radius: 4px;
  }

  &.visible:before {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom-color: #C9C9C9;
  }
}

.SelectContent {
  width: 100%;
  min-height: 40px;
  display: flex;
  align-items: center;
  padding: 6px 17px;
  pointer-events: none;
}

.SelectToggleButton {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  outline-offset: -2px;
  pointer-events: auto;
}

.SelectActions {
  display: flex;
  align-items: center;
  margin-left: auto;
}

.SelectValue {
  position: relative;
  font-size: 0.875rem;
  line-height: 1.25rem;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
